%global enable_tests 1
%global srcname bl

Name:           nodejs-%{srcname}
Version:        1.1.2
Release:        %mkrel 2
Group:          Development/Other
Summary:        A Node.js Buffer list collector, reader and streamer
License:        MIT
URL:            https://github.com/rvagg/bl
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(hash_file)
BuildRequires:  npm(readable-stream)
%endif


%description
bl is a storage object for collections of Node Buffers, exposing them with the 
main Buffer readable API. Also works as a duplex stream so you can collect 
buffers from a stream that emits them and emit buffers to a stream that 
consumes them!


%prep
%setup -q -n package
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test/test.js
%endif


%files
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{srcname}




%changelog
* Tue May 16 2017 neoclust <neoclust> 1.1.2-2.mga6
+ Revision: 1102097
- imported package nodejs-bl


* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Mar 31 2016 Tom Hughes <tom@compton.nu> - 1.1.2-1
- Update to 1.1.2 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 22 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 1.0.0-2
- fixdep npm(readable-stream)

* Mon Jul 13 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-1
- Update to upstream 1.0.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar  4 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.9.4-1
- Update to upstream 0.9.4

* Mon Dec 22 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.9.3-1
- Initial package
